From 2038f53988a9d3bc9ddae5f9f2de8676f79595bc Mon Sep 17 00:00:00 2001
From: Geoffroy Couprie <geal@videolan.org>
Date: Thu, 4 Nov 2010 16:51:50 +0100
Subject: [PATCH 4/4] Windows: remove another call to GetProcAddress in vout plugins

---
 modules/video_output/msw/events.c |   17 ++---------------
 1 files changed, 2 insertions(+), 15 deletions(-)

diff --git a/modules/video_output/msw/events.c b/modules/video_output/msw/events.c
index 46c15c4..def6f7e 100644
--- a/modules/video_output/msw/events.c
+++ b/modules/video_output/msw/events.c
@@ -224,7 +224,6 @@ static void *EventThread( void *p_this )
     vout_display_t *vd = p_event->vd;
     MSG msg;
     POINT old_mouse_pos = {0,0}, mouse_pos;
-    HMODULE hkernel32;
     int canc = vlc_savecancel ();
 
     bool b_mouse_support = var_InheritBool( p_event->vd, "mouse-events" );
@@ -250,20 +249,8 @@ static void *EventThread( void *p_this )
     }
 
 #ifndef UNDER_CE
-    /* Set power management stuff */
-    if( (hkernel32 = GetModuleHandle( _T("KERNEL32") ) ) )
-    {
-        ULONG (WINAPI* OurSetThreadExecutionState)( ULONG );
-
-        OurSetThreadExecutionState = (ULONG (WINAPI*)( ULONG ))
-            GetProcAddress( hkernel32, _T("SetThreadExecutionState") );
-
-        if( OurSetThreadExecutionState )
-            /* Prevent monitor from powering off */
-            OurSetThreadExecutionState( ES_DISPLAY_REQUIRED | ES_CONTINUOUS );
-        else
-            msg_Dbg( vd, "no support for SetThreadExecutionState()" );
-    }
+    /* Prevent monitor from powering off */
+    SetThreadExecutionState( ES_DISPLAY_REQUIRED | ES_CONTINUOUS );
 #endif
 
     /* Main loop */
-- 
1.7.3.1.msysgit.0

